### Method

# EDataCal CalCache list_timezones

since: 3.26

#### Declaration [src]

    gboolean
    e_cal_cache_list_timezones (
      ECalCache* cal_cache,
      GList** out_timezones,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Gets a list of all stored timezones by the `cal_cache`. Only the returned list should be freed with `g_list_free()` when no longer needed; the `ICalTimezone`-s are owned by the `cal_cache`.

Note: The list can contain timezones previously stored in the cache, but removed from it since they were loaded, because these are freed only when also the `cal_cache` is freed.

Available since: 3.26

#### Parameters

`out_timezones`

  Type: A list of `ICalTimezone*`

  Return location for the list of stored timezones.

  The argument will be set by the function.
  The caller of the method takes ownership of the returned data container, but not the data inside it.

`cancellable`

  Type: `GCancellable`

  Optional `GCancellable` object, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

Whether succeeded.